function mapCollide(x, y)--qualities
	local checkMap = map[math.floor(y/32)][math.floor(x/32)]
	return checkMap
end

function NCPboundingChecks(direction, v, map) -- 1 = Air; 2 = Grass; 3 = Stone; 4 = Dirt; 5 = Wood; 6 = Planks; 7 = Glass; 8 = Leaves
	for i = 2, 8 do
		if mapCollide(v.x + 1, v.y + v.height, v, map) == i or mapCollide(v.x + v.width - 1, v.y + v.height, v, map) == i then
			v.y = v.y - v.ySpeed * frame
			v.ySpeed = 0
		end
		if mapCollide(v.x + 1, v.y, v, map) == i or mapCollide(v.x + v.width, v.y, v, map) == i then
			v.ySpeed = .5
		end
	end
	
	for i = 11, numBlocks do
		if mapCollide(v.x + 1, v.y + v.height, v, map) == i or mapCollide(v.x + v.width - 1, v.y + v.height, v, map) == i then
			v.y = v.y - v.ySpeed * frame
			v.ySpeed = 0
		end
		if mapCollide(v.x + 1, v.y, v, map) == i or mapCollide(v.x + v.width, v.y, v, map) == i then
			v.ySpeed = .5
		end
	end
		
	if direction == 0 then
		v.x = v.x + v.speed * frame
		v.direction = 0
	end
	if direction == 1 then
		v.x = v.x - v.speed * frame
		v.direction = 1
	end
	
	for i = 2, 8 do
		if mapCollide(v.x, v.y + 1, v, map) == i or mapCollide(v.x, v.y + v.height - 1, v, map) == i then
			v.x = v.x + v.speed * frame
		end
		if mapCollide(v.x + v.width, v.y + 1, v, map) == i or mapCollide(v.x + v.width, v.y + v.height - 1, v, map) == i then
			v.x = v.x - v.speed * frame
		end
	end
	
	for i = 11 , numBlocks do
		if mapCollide(v.x, v.y + 1, v, map) == i or mapCollide(v.x, v.y + v.height - 1, v, map) == i then
			v.x = v.x + v.speed * frame
		end
		if mapCollide(v.x + v.width, v.y + 1, v, map) == i or mapCollide(v.x + v.width, v.y + v.height - 1, v, map) == i then
			v.x = v.x - v.speed * frame
		end
	end
end

function boundingChecks(guy, map) -- 1 = Air; 2 = Grass; 3 = Stone; 4 = Dirt; 5 = Wood; 6 = Planks; 7 = Glass; 8 = Leaves
	for i = 2, 8 do
		if mapCollide(guy.x + 1, guy.y + guy.height, guy, map) == i or mapCollide(guy.x + guy.width - 1, guy.y + guy.height, guy, map) == i then
			guy.y = guy.y - guy.ySpeed * frame
			guy.ySpeed = 0
		end
		if mapCollide(guy.x + 1, guy.y, guy, map) == i or mapCollide(guy.x + guy.width, guy.y, guy, map) == i then
			guy.ySpeed = .5
		end
	end
	
	for i = 11, numBlocks do
		if mapCollide(guy.x + 1, guy.y + guy.height, guy, map) == i or mapCollide(guy.x + guy.width - 1, guy.y + guy.height, guy, map) == i then
			guy.y = guy.y - guy.ySpeed * frame
			guy.ySpeed = 0
		end
		if mapCollide(guy.x + 1, guy.y, guy, map) == i or mapCollide(guy.x + guy.width, guy.y, guy, map) == i then
			guy.ySpeed = .5
		end
	end

	if love.keyboard.isDown("a") then
		guy.x = guy.x - 4 * frame
		guy.direction = 1
	end
	if love.keyboard.isDown("d") then
		guy.x = guy.x + 4 * frame
		guy.direction = 0
	end
	
	for i = 2, 8 do
		if mapCollide(guy.x, guy.y + 1, guy, map) == i or mapCollide(guy.x, guy.y + guy.height - 1, guy, map) == i then
			guy.x = guy.x + 4 * frame
		end
		if mapCollide(guy.x + guy.width, guy.y + 1, guy, map) == i or mapCollide(guy.x + guy.width, guy.y + guy.height - 1, guy, map) == i then
			guy.x = guy.x - 4 * frame
		end
	end
	
	for i = 11 , numBlocks do
		if mapCollide(guy.x, guy.y + 1, guy, map) == i or mapCollide(guy.x, guy.y + guy.height - 1, guy, map) == i then
			guy.x = guy.x + 4 * frame
		end
		if mapCollide(guy.x + guy.width, guy.y + 1, guy, map) == i or mapCollide(guy.x + guy.width, guy.y + guy.height - 1, guy, map) == i then
			guy.x = guy.x - 4 * frame
		end
	end
end