function GenerateTree(map, x, y)
		--The Tree Generation Start
	if map[x][y] == 2 and
		map[x-1][y] == 1 and
		map[x-2][y] == 1 and
		map[x-3][y] == 1 and
		map[x-3][y-1] == 1 and
		map[x-3][y+1] == 1 and
		map[x-3][y-2] == 1 and
		map[x-3][y+2] == 1 and
		map[x-4][y] == 1 and
		math.random(3) == 1 then
			
			map[x-1][y] = 6
			map[x-2][y] = 6
			map[x-3][y] = 8
			map[x-3][y-1] = 8
			map[x-3][y+1] = 8
			map[x-4][y] = 8
	end
		--The Tree Generation End
end

function GenerateMegaTree(map, x, y)
		--The Megatree Generation Start
	if map[x][y] == 2 and
		map[x-1][y] == 1 and
		map[x-2][y] == 1 and
		map[x-3][y] == 1 and
		map[x-4][y] == 1 and
		map[x-5][y] == 1 and
		map[x-6][y] == 1 and
		map[x-6][y-1] == 1 and
		map[x-6][y-1] == 1 and
		map[x-6][y+1] == 1 and
		map[x-6][y+2] == 1 and
		map[x-7][y+1] == 1 and
		map[x-6][y-2] == 1 and
		map[x-7][y-1] == 1 and
		map[x-6][y-3] == 1 and
		map[x-6][y+3] == 1 and
		math.random(4) == 1 then
				
			map[x-7][y] = 8
			map[x-1][y] = 6
			map[x-2][y] = 6
			map[x-3][y] = 6
			map[x-4][y] = 6
			map[x-5][y] = 6
			map[x-6][y] = 6
			map[x-6][y-1] = 8
			map[x-6][y-1] = 8
			map[x-6][y+1] = 8
			map[x-6][y+2] = 8
			map[x-7][y+1] = 8
			map[x-7][y-1] = 8
			map[x-6][y-2] = 8
			map[x-7][y] = 8
	end
		--The Megatree Generation End
end

function GenerateNCP(map, x, y, NCPid, NCP) --Places NCPs acording to their id: 1-Trader 2-Warrior 3-Wizard
	if NCPid == 1 then
		if map[x-1][y] == 1 and map[x][y] == 2 and math.random(5) == 3 then
			local i = {}
			i.pic_l = love.graphics.newImage("textures/Trader_l.png")
			i.pic_r = love.graphics.newImage("textures/Trader_r.png")
			i.y = (x-1) * 32 - 30
			i.x = y * 32 - 32
			i.direction = math.random(0,1)
			i.ySpeed = 0
			i.height = 30
			i.width = 30
			i.grav = 1.5
			i.name = "Trader"
			i.speed = 4
			table.insert(NCP, i)
		end
	elseif NCPid == 2 then
		if map[x-1][y] == 1 and map[x][y] == 2 and math.random(5) == 3 then
			local i = {}
			i.pic_l = love.graphics.newImage("textures/Warrior_l.png")
			i.pic_r = love.graphics.newImage("textures/Warrior_r.png")
			i.y = (x-1) * 32 - 30
			i.x = y * 32 - 32
			i.direction = math.random(0,1)
			i.ySpeed = 0
			i.height = 30
			i.width = 30
			i.grav = 1.5
			i.name = "Warrior"
			i.speed = 2
			table.insert(NCP, i)
		end
	elseif NCPid == 3 then
		if map[x-1][y] == 1 and map[x][y] == 2 and math.random(12) == 3 then
			local i = {}
			i.pic_l = love.graphics.newImage("textures/Wizard_l.png")
			i.pic_r = love.graphics.newImage("textures/Wizard_r.png")
			i.y = (x-1) * 32 - 30
			i.x = y * 32 - 32
			i.direction = math.random(0,1)
			i.ySpeed = 0
			i.height = 30
			i.width = 30
			i.grav = 1.5
			i.name = "Wizard"
			i.speed = 3
			table.insert(NCP, i)
		end
	end
end